<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="ENTITIES_ATTRIBUTES" 
Description="Атрибут сущности" 
PrimaryKey="EntitiesAttributesId">
  <Customs>
    <Custom Name="HistoryEntity" Value="VCLib.ENTITIES_ATTRIBUTES_HISTORY" />
  </Customs>
  <Fields>
    <Attribute Name="EntitiesAttributesId" Index="440001" Type="guid" Description="Идентификатор" />
    <Attribute Name="AttrIndex" Index="440002" Type="int" Description="Индекс атрибута" />
    <Attribute Name="Name" Index="440003" Type="string" Description="Наименование" CharacterMaximumLength="100" Required="1" />
    <Attribute Name="AttrDescription" Index="440004" Type="text" Description="Описание" Required="1" />
    <Attribute Name="SystemType" Index="440005" Type="string" Description="Системный тип" CharacterMaximumLength="133" />
    <Attribute Name="MaxLength" Index="440006" Type="int" Description="Количество символов" />
    <Attribute Name="Precision" Index="440007" Type="int" Description="Точность" />
    <Attribute Name="Scale" Index="440008" Type="int" Description="Масштаб" />
    <Attribute Name="DefaultFormat" Index="440009" Type="string" Description="Формат по умолчанию" CharacterMaximumLength="64" />
    <Attribute Name="IsCalculated" Index="440010" Type="bool" Description="Вычислимое" Required="1" />
    <Attribute Name="IsFlag" Index="440011" Type="bool" Description="Битовый чойс" Required="1" />
    <Attribute Name="IsRequired" Index="440012" Type="bool" Description="Обязательное поле" Required="1" />
    <Attribute Name="MappingName" Index="440013" Type="string" Description="Маппирование на" CharacterMaximumLength="100" />
    <Attribute Name="IsSave" Index="440014" Type="bool" Description="Сохранять связанный объект" Required="1" />
    <Attribute Name="LinkAttributeName" Index="440015" Type="string" Description="Имя атрибута связки" CharacterMaximumLength="100" />
    <Attribute Name="ChoiceAttributeData" Index="440016" Type="string" Description="Данные чойс атрибута" CharacterMaximumLength="8000" />
    <Attribute Name="IsStored" Index="440017" Type="bool" Description="Сохранять атрибут" Required="1" />
    <Attribute Name="AttrLexem" Index="440018" Type="text" Description="Лексема" />
    <Attribute Name="PathsAttributes" Index="440019" Type="text" Description="Пути до коллекции" />
    <Attribute Name="IsCashed" Index="440020" Type="bool" Description="Кеширование значения" Required="1" />
    <Attribute Name="IsAdditional" Index="440024" Type="bool" Description="Добавленный" Required="1" />
    <Attribute Name="MappingTable" Index="440025" Type="string" Description="Таблица маппирования" />
    <Attribute Name="MappingRefTable" Index="440026" Type="string" Description="Таблица ссылочная" />
    <Attribute Name="ParametersData" Index="440027" Type="string" Description="Параметры" CharacterMaximumLength="8000" />
    <Attribute Name="CustomsData" Index="440028" Type="string" Description="Настройки" CharacterMaximumLength="8000" />
    <Attribute Name="RequiredAttributes" Index="440029" Type="string" Description="Необходимые атрибуты" CharacterMaximumLength="8000" />
    <Attribute Name="SortingAttribute" Index="440030" Type="string" Description="Атрибут сортировки" CharacterMaximumLength="8000" />
    <Attribute Name="EnumType" Index="440031" Type="string" Description="Тип перечисления" CharacterMaximumLength="8000" />
    <Attribute Name="IsIdentity" Index="440032" Type="bool" Description="Identity" Required="1" />
    <Attribute Name="IsCustom" Index="440033" Type="bool" Description="IsCustom" Required="1" />
    <Attribute Name="RemoveAction" Index="440034" Type="bool" Description="RemoveAction" Required="1" />
    <Attribute Name="IsPrimaryKey" Index="440035" Type="bool" Description="Первичный ключ" Required="1" />
    <Attribute Name="RefTableSearchMode" Index="440036" Type="string" Description="Тип поиска индекса в ссылочной таблице" />
    <Attribute Name="RefTableHashFunc" Index="440037" Type="string" Description="Функция расчета хеша для ссылочной таблицы" />
    <Parent Name="EntityID" Index="440021" Type="VCLib.ENTITIES" Description="Сущность" Required="1" />
    <Choice Name="AttributeType" Index="440022" Description="Тип атрибута" Required="1">
      <Item Name="Attribute" Index="0" />
      <Item Name="Parent" Index="1" />
      <Item Name="Child" Index="2" />
      <Item Name="Link" Index="3" />
      <Item Name="Choice" Index="4" />
    </Choice>
    <Choice Name="MappingType" Index="440023" Description="Маппирование" Required="1">
      <Item Name="Не маппировано" Index="0" />
      <Item Name="Таблица" Index="1" />
      <Item Name="Функция" Index="2" />
      <Item Name="Лексема" Index="4" />
      <Item Name="Распределенное" Index="5" />
      <Item Name="Представление" Index="6" />
    </Choice>
    <Attribute Name="Filter" Type="text" Description="Фильтр на коллекцию" />
    <Attribute Name="ContentType" Type="string" Description="Тип содержимого" />
    <Choice Name="CharacterSet" Description="Набор символов">
      <Item Name="ANSI" Index="0" />
      <Item Name="Unicode" Index="1" />
    </Choice>
  </Fields>
  <DbMapping>
    <Table name="T_ENTITIES_ATTRIBUTES">
      <Map Name="EntitiesAttributesId" Column="EntitiesAttributesId" />
      <Map Name="AttrIndex" Column="Index" />
      <Map Name="Name" Column="Name" />
      <Map Name="AttrDescription" Column="Description" />
      <Map Name="SystemType" Column="SystemType" />
      <Map Name="MaxLength" Column="MaxLength" />
      <Map Name="Precision" Column="Precision" />
      <Map Name="Scale" Column="Scale" />
      <Map Name="DefaultFormat" Column="DefaultFormat" />
      <Map Name="IsCalculated" Column="IsCalculated" />
      <Map Name="IsFlag" Column="IsFlag" />
      <Map Name="IsRequired" Column="IsRequired" />
      <Map Name="MappingName" Column="MappingName" />
      <Map Name="IsSave" Column="Save" />
      <Map Name="LinkAttributeName" Column="LinkAttributeName" />
      <Map Name="ChoiceAttributeData" Column="ChoiceAttributeData" />
      <Map Name="IsStored" Column="IsStored" />
      <Map Name="AttrLexem" Column="AttrLexem" />
      <Map Name="PathsAttributes" Column="PathsAttributes" />
      <Map Name="IsCashed" Column="IsCashed" />
      <Map Name="IsAdditional" Column="IsAdditional" />
      <Map Name="MappingTable" Column="MappingTable" />
      <Map Name="MappingRefTable" Column="MappingRefTable" />
      <Map Name="ParametersData" Column="ParametersData" />
      <Map Name="CustomsData" Column="CustomsData" />
      <Map Name="RequiredAttributes" Column="RequiredAttributes" />
      <Map Name="SortingAttribute" Column="SortingAttribute" />
      <Map Name="EnumType" Column="EnumType" />
      <Map Name="IsIdentity" Column="IsIdentity" />
      <Map Name="IsCustom" Column="IsCustom" />
      <Map Name="RemoveAction" Column="RemoveAction" />
      <Map Name="IsPrimaryKey" Column="IsPrimaryKey" />
      <Map Name="RefTableSearchMode" Column="RefTableSearchMode" />
      <Map Name="RefTableHashFunc" Column="RefTableHashFunc" />
      <Map Name="EntityID" Column="EntityID" />
      <Map Name="AttributeType" Column="AttributeType" />
      <Map Name="MappingType" Column="MappingType" />
      <Map Name="Filter" Column="Filter" />
      <Map Name="ContentType" Column="ContentType" />
      <Map Name="CharacterSet" Column="CharacterSet" />
    </Table>
  </DbMapping>
</Entity>